Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.util
Class CDAR2Switch

    java.lang.Object
      org.eclipse.ohf.ihe.common.cdar2.util.CDAR2Switch

    public class CDAR2Switch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `CDAR2Package`

Constructor Summary
`CDAR2Switch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` | `caseAD(AD object)` Returns the result of interpretting the object as an instance of 'AD'.
`java.lang.Object` | `caseADXP(ADXP object)` Returns the result of interpretting the object as an instance of 'ADXP'.
`java.lang.Object` | `caseAdxpAdditionalLocator(AdxpAdditionalLocator object)` Returns the result of interpretting the object as an instance of 'Adxp Additional Locator'.
`java.lang.Object` | `caseAdxpBuildingNumberSuffix(AdxpBuildingNumberSuffix object)` Returns the result of interpretting the object as an instance of 'Adxp Building Number Suffix'.
`java.lang.Object` | `caseAdxpCareOf(AdxpCareOf object)` Returns the result of interpretting the object as an instance of 'Adxp Care Of'.
`java.lang.Object` | `caseAdxpCensusTract(AdxpCensusTract object)` Returns the result of interpretting the object as an instance of 'Adxp Census Tract'.
`java.lang.Object` | `caseAdxpCity(AdxpCity object)` Returns the result of interpretting the object as an instance of 'Adxp City'.
`java.lang.Object` | `caseAdxpCountry(AdxpCountry object)` Returns the result of interpretting the object as an instance of 'Adxp Country'.
`java.lang.Object` | `caseAdxpCounty(AdxpCounty object)` Returns the result of interpretting the object as an instance of 'Adxp County'.
`java.lang.Object` | `caseAdxpDelimiter(AdxpDelimiter object)` Returns the result of interpretting the object as an instance of 'Adxp Delimiter'.
`java.lang.Object` | `caseAdxpDeliveryAddressLine(AdxpDeliveryAddressLine object)` Returns the result of interpretting the object as an instance of 'Adxp Delivery Address Line'.
`java.lang.Object` | `caseAdxpDeliveryInstallationArea(AdxpDeliveryInstallationArea object)` Returns the result of interpretting the object as an instance of 'Adxp Delivery Installation Area'.
`java.lang.Object` | `caseAdxpDeliveryInstallationQualifier(AdxpDeliveryInstallationQualifier object)` Returns the result of interpretting the object as an instance of 'Adxp Delivery Installation Qualifier'.
`java.lang.Object` | `caseAdxpDeliveryInstallationType(AdxpDeliveryInstallationType object)` Returns the result of interpretting the object as an instance of 'Adxp Delivery Installation Type'.
`java.lang.Object` | `caseAdxpDeliveryMode(AdxpDeliveryMode object)` Returns the result of interpretting the object as an instance of 'Adxp Delivery Mode'.
`java.lang.Object` | `caseAdxpDeliveryModeIdentifier(AdxpDeliveryModeIdentifier object)` Returns the result of interpretting the object as an instance of 'Adxp Delivery Mode Identifier'.
`java.lang.Object` | `caseAdxpDirection(AdxpDirection object)` Returns the result of interpretting the object as an instance of 'Adxp Direction'.
`java.lang.Object` | `caseAdxpHouseNumber(AdxpHouseNumber object)` Returns the result of interpretting the object as an instance of 'Adxp House Number'.
`java.lang.Object` | `caseAdxpHouseNumberNumeric(AdxpHouseNumberNumeric object)` Returns the result of interpretting the object as an instance of 'Adxp House Number Numeric'.
`java.lang.Object` | `caseAdxpPostalCode(AdxpPostalCode object)` Returns the result of interpretting the object as an instance of 'Adxp Postal Code'.
`java.lang.Object` | `caseAdxpPostBox(AdxpPostBox object)` Returns the result of interpretting the object as an instance of 'Adxp Post Box'.
`java.lang.Object` | `caseAdxpPrecinct(AdxpPrecinct object)` Returns the result of interpretting the object as an instance of 'Adxp Precinct'.
`java.lang.Object` | `caseAdxpState(AdxpState object)` Returns the result of interpretting the object as an instance of 'Adxp State'.
`java.lang.Object` | `caseAdxpStreetAddressLine(AdxpStreetAddressLine object)` Returns the result of interpretting the object as an instance of 'Adxp Street Address Line'.
`java.lang.Object` | `caseAdxpStreetName(AdxpStreetName object)` Returns the result of interpretting the object as an instance of 'Adxp Street Name'.
`java.lang.Object` | `caseAdxpStreetNameBase(AdxpStreetNameBase object)` Returns the result of interpretting the object as an instance of 'Adxp Street Name Base'.
`java.lang.Object` | `caseAdxpStreetNameType(AdxpStreetNameType object)` Returns the result of interpretting the object as an instance of 'Adxp Street Name Type'.
`java.lang.Object` | `caseAdxpUnitID(AdxpUnitID object)` Returns the result of interpretting the object as an instance of 'Adxp Unit ID'.
`java.lang.Object` | `caseAdxpUnitType(AdxpUnitType object)` Returns the result of interpretting the object as an instance of 'Adxp Unit Type'.
`java.lang.Object` | `caseANY(ANY object)` Returns the result of interpretting the object as an instance of 'ANY'.
`java.lang.Object` | `caseANYNonNull(ANYNonNull object)` Returns the result of interpretting the object as an instance of 'ANY Non Null'.
`java.lang.Object` | `caseBIN1(BIN1 object)` Returns the result of interpretting the object as an instance of 'BIN1'.
`java.lang.Object` | `caseBL1(BL1 object)` Returns the result of interpretting the object as an instance of 'BL1'.
`java.lang.Object` | `caseBN1(BN1 object)` Returns the result of interpretting the object as an instance of 'BN1'.
`java.lang.Object` | `caseBXITCD(BXITCD object)` Returns the result of interpretting the object as an instance of 'BXITCD'.
`java.lang.Object` | `caseBXITIVLPQ(BXITIVLPQ object)` Returns the result of interpretting the object as an instance of 'BXITIVLPQ'.
`java.lang.Object` | `caseCD(CD object)` Returns the result of interpretting the object as an instance of 'CD'.
`java.lang.Object` | `caseCE(CE object)` Returns the result of interpretting the object as an instance of 'CE'.
`java.lang.Object` | `caseCO(CO object)` Returns the result of interpretting the object as an instance of 'CO'.
`java.lang.Object` | `caseCR(CR object)` Returns the result of interpretting the object as an instance of 'CR'.
`java.lang.Object` | `caseCS1(CS1 object)` Returns the result of interpretting the object as an instance of 'CS1'.
`java.lang.Object` | `caseCV(CV object)` Returns the result of interpretting the object as an instance of 'CV'.
`java.lang.Object` | `caseDocumentRoot(DocumentRoot object)` Returns the result of interpretting the object as an instance of 'Document Root'.
`java.lang.Object` | `caseED(ED object)` Returns the result of interpretting the object as an instance of 'ED'.
`java.lang.Object` | `caseEIVLEvent(EIVLEvent object)` Returns the result of interpretting the object as an instance of 'EIVL Event'.
`java.lang.Object` | `caseEIVLPPDTS(EIVLPPDTS object)` Returns the result of interpretting the object as an instance of 'EIVLPPDTS'.
`java.lang.Object` | `caseEIVLTS(EIVLTS object)` Returns the result of interpretting the object as an instance of 'EIVLTS'.
`java.lang.Object` | `caseEN(EN object)` Returns the result of interpretting the object as an instance of 'EN'.
`java.lang.Object` | `caseEnDelimiter(EnDelimiter object)` Returns the result of interpretting the object as an instance of 'En Delimiter'.
`java.lang.Object` | `caseEnFamily(EnFamily object)` Returns the result of interpretting the object as an instance of 'En Family'.
`java.lang.Object` | `caseEnGiven(EnGiven object)` Returns the result of interpretting the object as an instance of 'En Given'.
`java.lang.Object` | `caseEnPrefix(EnPrefix object)` Returns the result of interpretting the object as an instance of 'En Prefix'.
`java.lang.Object` | `caseEnSuffix(EnSuffix object)` Returns the result of interpretting the object as an instance of 'En Suffix'.
`java.lang.Object` | `caseENXP(ENXP object)` Returns the result of interpretting the object as an instance of 'ENXP'.
`java.lang.Object` | `caseGLISTPQ(GLISTPQ object)` Returns the result of interpretting the object as an instance of 'GLISTPQ'.
`java.lang.Object` | `caseGLISTTS(GLISTTS object)` Returns the result of interpretting the object as an instance of 'GLISTTS'.
`java.lang.Object` | `caseHXITCE(HXITCE object)` Returns the result of interpretting the object as an instance of 'HXITCE'.
`java.lang.Object` | `caseHXITPQ(HXITPQ object)` Returns the result of interpretting the object as an instance of 'HXITPQ'.
`java.lang.Object` | `caseII(II object)` Returns the result of interpretting the object as an instance of 'II'.
`java.lang.Object` | `caseINT1(INT1 object)` Returns the result of interpretting the object as an instance of 'INT1'.
`java.lang.Object` | `caseIVLINT(IVLINT object)` Returns the result of interpretting the object as an instance of 'IVLINT'.
`java.lang.Object` | `caseIVLMO(IVLMO object)` Returns the result of interpretting the object as an instance of 'IVLMO'.
`java.lang.Object` | `caseIVLPPDPQ(IVLPPDPQ object)` Returns the result of interpretting the object as an instance of 'IVLPPDPQ'.
`java.lang.Object` | `caseIVLPPDTS(IVLPPDTS object)` Returns the result of interpretting the object as an instance of 'IVLPPDTS'.
`java.lang.Object` | `caseIVLPQ(IVLPQ object)` Returns the result of interpretting the object as an instance of 'IVLPQ'.
`java.lang.Object` | `caseIVLREAL(IVLREAL object)` Returns the result of interpretting the object as an instance of 'IVLREAL'.
`java.lang.Object` | `caseIVLTS(IVLTS object)` Returns the result of interpretting the object as an instance of 'IVLTS'.
`java.lang.Object` | `caseIVXBINT(IVXBINT object)` Returns the result of interpretting the object as an instance of 'IVXBINT'.
`java.lang.Object` | `caseIVXBMO(IVXBMO object)` Returns the result of interpretting the object as an instance of 'IVXBMO'.
`java.lang.Object` | `caseIVXBPPDPQ(IVXBPPDPQ object)` Returns the result of interpretting the object as an instance of 'IVXBPPDPQ'.
`java.lang.Object` | `caseIVXBPPDTS(IVXBPPDTS object)` Returns the result of interpretting the object as an instance of 'IVXBPPDTS'.
`java.lang.Object` | `caseIVXBPQ(IVXBPQ object)` Returns the result of interpretting the object as an instance of 'IVXBPQ'.
`java.lang.Object` | `caseIVXBREAL(IVXBREAL object)` Returns the result of interpretting the object as an instance of 'IVXBREAL'.
`java.lang.Object` | `caseIVXBTS(IVXBTS object)` Returns the result of interpretting the object as an instance of 'IVXBTS'.
`java.lang.Object` | `caseMO(MO object)` Returns the result of interpretting the object as an instance of 'MO'.
`java.lang.Object` | `caseON(ON object)` Returns the result of interpretting the object as an instance of 'ON'.
`java.lang.Object` | `casePIVLPPDTS(PIVLPPDTS object)` Returns the result of interpretting the object as an instance of 'PIVLPPDTS'.
`java.lang.Object` | `casePIVLTS(PIVLTS object)` Returns the result of interpretting the object as an instance of 'PIVLTS'.
`java.lang.Object` | `casePN(PN object)` Returns the result of interpretting the object as an instance of 'PN'.
`java.lang.Object` | `casePOCDMT000040Act(POCDMT000040Act object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Act'.
`java.lang.Object` | `casePOCDMT000040AssignedAuthor(POCDMT000040AssignedAuthor object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Assigned Author'.
`java.lang.Object` | `casePOCDMT000040AssignedCustodian(POCDMT000040AssignedCustodian object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Assigned Custodian'.
`java.lang.Object` | `casePOCDMT000040AssignedEntity(POCDMT000040AssignedEntity object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Assigned Entity'.
`java.lang.Object` | `casePOCDMT000040AssociatedEntity(POCDMT000040AssociatedEntity object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Associated Entity'.
`java.lang.Object` | `casePOCDMT000040Authenticator(POCDMT000040Authenticator object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Authenticator'.
`java.lang.Object` | `casePOCDMT000040Author(POCDMT000040Author object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Author'.
`java.lang.Object` | `casePOCDMT000040AuthoringDevice(POCDMT000040AuthoringDevice object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Authoring Device'.
`java.lang.Object` | `casePOCDMT000040Authorization(POCDMT000040Authorization object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Authorization'.
`java.lang.Object` | `casePOCDMT000040Birthplace(POCDMT000040Birthplace object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Birthplace'.
`java.lang.Object` | `casePOCDMT000040ClinicalDocument(POCDMT000040ClinicalDocument object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Clinical Document'.
`java.lang.Object` | `casePOCDMT000040Component1(POCDMT000040Component1 object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Component1'.
`java.lang.Object` | `casePOCDMT000040Component2(POCDMT000040Component2 object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Component2'.
`java.lang.Object` | `casePOCDMT000040Component3(POCDMT000040Component3 object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Component3'.
`java.lang.Object` | `casePOCDMT000040Component4(POCDMT000040Component4 object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Component4'.
`java.lang.Object` | `casePOCDMT000040Component5(POCDMT000040Component5 object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Component5'.
`java.lang.Object` | `casePOCDMT000040Consent(POCDMT000040Consent object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Consent'.
`java.lang.Object` | `casePOCDMT000040Consumable(POCDMT000040Consumable object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Consumable'.
`java.lang.Object` | `casePOCDMT000040Criterion(POCDMT000040Criterion object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Criterion'.
`java.lang.Object` | `casePOCDMT000040Custodian(POCDMT000040Custodian object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Custodian'.
`java.lang.Object` | `casePOCDMT000040CustodianOrganization(POCDMT000040CustodianOrganization object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Custodian Organization'.
`java.lang.Object` | `casePOCDMT000040DataEnterer(POCDMT000040DataEnterer object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Data Enterer'.
`java.lang.Object` | `casePOCDMT000040Device(POCDMT000040Device object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Device'.
`java.lang.Object` | `casePOCDMT000040DocumentationOf(POCDMT000040DocumentationOf object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Documentation Of'.
`java.lang.Object` | `casePOCDMT000040EncompassingEncounter(POCDMT000040EncompassingEncounter object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Encompassing Encounter'.
`java.lang.Object` | `casePOCDMT000040Encounter(POCDMT000040Encounter object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Encounter'.
`java.lang.Object` | `casePOCDMT000040EncounterParticipant(POCDMT000040EncounterParticipant object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Encounter Participant'.
`java.lang.Object` | `casePOCDMT000040Entity(POCDMT000040Entity object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Entity'.
`java.lang.Object` | `casePOCDMT000040Entry(POCDMT000040Entry object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Entry'.
`java.lang.Object` | `casePOCDMT000040EntryRelationship(POCDMT000040EntryRelationship object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Entry Relationship'.
`java.lang.Object` | `casePOCDMT000040ExternalAct(POCDMT000040ExternalAct object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 External Act'.
`java.lang.Object` | `casePOCDMT000040ExternalDocument(POCDMT000040ExternalDocument object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 External Document'.
`java.lang.Object` | `casePOCDMT000040ExternalObservation(POCDMT000040ExternalObservation object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 External Observation'.
`java.lang.Object` | `casePOCDMT000040ExternalProcedure(POCDMT000040ExternalProcedure object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 External Procedure'.
`java.lang.Object` | `casePOCDMT000040Guardian(POCDMT000040Guardian object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Guardian'.
`java.lang.Object` | `casePOCDMT000040HealthCareFacility(POCDMT000040HealthCareFacility object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Health Care Facility'.
`java.lang.Object` | `casePOCDMT000040Informant12(POCDMT000040Informant12 object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Informant12'.
`java.lang.Object` | `casePOCDMT000040InformationRecipient(POCDMT000040InformationRecipient object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Information Recipient'.
`java.lang.Object` | `casePOCDMT000040InfrastructureRootTypeId(POCDMT000040InfrastructureRootTypeId object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Infrastructure Root Type Id'.
`java.lang.Object` | `casePOCDMT000040InFulfillmentOf(POCDMT000040InFulfillmentOf object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 In Fulfillment Of'.
`java.lang.Object` | `casePOCDMT000040IntendedRecipient(POCDMT000040IntendedRecipient object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Intended Recipient'.
`java.lang.Object` | `casePOCDMT000040LabeledDrug(POCDMT000040LabeledDrug object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Labeled Drug'.
`java.lang.Object` | `casePOCDMT000040LanguageCommunication(POCDMT000040LanguageCommunication object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Language Communication'.
`java.lang.Object` | `casePOCDMT000040LegalAuthenticator(POCDMT000040LegalAuthenticator object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Legal Authenticator'.
`java.lang.Object` | `casePOCDMT000040Location(POCDMT000040Location object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Location'.
`java.lang.Object` | `casePOCDMT000040MaintainedEntity(POCDMT000040MaintainedEntity object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Maintained Entity'.
`java.lang.Object` | `casePOCDMT000040ManufacturedProduct(POCDMT000040ManufacturedProduct object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Manufactured Product'.
`java.lang.Object` | `casePOCDMT000040Material(POCDMT000040Material object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Material'.
`java.lang.Object` | `casePOCDMT000040NonXMLBody(POCDMT000040NonXMLBody object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Non XML Body'.
`java.lang.Object` | `casePOCDMT000040Observation(POCDMT000040Observation object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Observation'.
`java.lang.Object` | `casePOCDMT000040ObservationMedia(POCDMT000040ObservationMedia object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Observation Media'.
`java.lang.Object` | `casePOCDMT000040ObservationRange(POCDMT000040ObservationRange object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Observation Range'.
`java.lang.Object` | `casePOCDMT000040Order(POCDMT000040Order object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Order'.
`java.lang.Object` | `casePOCDMT000040Organization(POCDMT000040Organization object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Organization'.
`java.lang.Object` | `casePOCDMT000040OrganizationPartOf(POCDMT000040OrganizationPartOf object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Organization Part Of'.
`java.lang.Object` | `casePOCDMT000040Organizer(POCDMT000040Organizer object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Organizer'.
`java.lang.Object` | `casePOCDMT000040ParentDocument(POCDMT000040ParentDocument object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Parent Document'.
`java.lang.Object` | `casePOCDMT000040Participant1(POCDMT000040Participant1 object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Participant1'.
`java.lang.Object` | `casePOCDMT000040Participant2(POCDMT000040Participant2 object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Participant2'.
`java.lang.Object` | `casePOCDMT000040ParticipantRole(POCDMT000040ParticipantRole object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Participant Role'.
`java.lang.Object` | `casePOCDMT000040Patient(POCDMT000040Patient object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Patient'.
`java.lang.Object` | `casePOCDMT000040PatientRole(POCDMT000040PatientRole object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Patient Role'.
`java.lang.Object` | `casePOCDMT000040Performer1(POCDMT000040Performer1 object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Performer1'.
`java.lang.Object` | `casePOCDMT000040Performer2(POCDMT000040Performer2 object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Performer2'.
`java.lang.Object` | `casePOCDMT000040Person(POCDMT000040Person object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Person'.
`java.lang.Object` | `casePOCDMT000040Place(POCDMT000040Place object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Place'.
`java.lang.Object` | `casePOCDMT000040PlayingEntity(POCDMT000040PlayingEntity object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Playing Entity'.
`java.lang.Object` | `casePOCDMT000040Precondition(POCDMT000040Precondition object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Precondition'.
`java.lang.Object` | `casePOCDMT000040Procedure(POCDMT000040Procedure object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Procedure'.
`java.lang.Object` | `casePOCDMT000040Product(POCDMT000040Product object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Product'.
`java.lang.Object` | `casePOCDMT000040RecordTarget(POCDMT000040RecordTarget object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Record Target'.
`java.lang.Object` | `casePOCDMT000040Reference(POCDMT000040Reference object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Reference'.
`java.lang.Object` | `casePOCDMT000040ReferenceRange(POCDMT000040ReferenceRange object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Reference Range'.
`java.lang.Object` | `casePOCDMT000040RegionOfInterest(POCDMT000040RegionOfInterest object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Region Of Interest'.
`java.lang.Object` | `casePOCDMT000040RegionOfInterestValue(POCDMT000040RegionOfInterestValue object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Region Of Interest Value'.
`java.lang.Object` | `casePOCDMT000040RelatedDocument(POCDMT000040RelatedDocument object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Related Document'.
`java.lang.Object` | `casePOCDMT000040RelatedEntity(POCDMT000040RelatedEntity object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Related Entity'.
`java.lang.Object` | `casePOCDMT000040RelatedSubject(POCDMT000040RelatedSubject object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Related Subject'.
`java.lang.Object` | `casePOCDMT000040ResponsibleParty(POCDMT000040ResponsibleParty object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Responsible Party'.
`java.lang.Object` | `casePOCDMT000040Section(POCDMT000040Section object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Section'.
`java.lang.Object` | `casePOCDMT000040ServiceEvent(POCDMT000040ServiceEvent object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Service Event'.
`java.lang.Object` | `casePOCDMT000040Specimen(POCDMT000040Specimen object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Specimen'.
`java.lang.Object` | `casePOCDMT000040SpecimenRole(POCDMT000040SpecimenRole object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Specimen Role'.
`java.lang.Object` | `casePOCDMT000040StructuredBody(POCDMT000040StructuredBody object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Structured Body'.
`java.lang.Object` | `casePOCDMT000040Subject(POCDMT000040Subject object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Subject'.
`java.lang.Object` | `casePOCDMT000040SubjectPerson(POCDMT000040SubjectPerson object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Subject Person'.
`java.lang.Object` | `casePOCDMT000040SubstanceAdministration(POCDMT000040SubstanceAdministration object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Substance Administration'.
`java.lang.Object` | `casePOCDMT000040Supply(POCDMT000040Supply object)` Returns the result of interpretting the object as an instance of 'POCDMT000040 Supply'.
`java.lang.Object` | `casePPDPQ(PPDPQ object)` Returns the result of interpretting the object as an instance of 'PPDPQ'.
`java.lang.Object` | `casePPDTS(PPDTS object)` Returns the result of interpretting the object as an instance of 'PPDTS'.
`java.lang.Object` | `casePQ(PQ object)` Returns the result of interpretting the object as an instance of 'PQ'.
`java.lang.Object` | `casePQR(PQR object)` Returns the result of interpretting the object as an instance of 'PQR'.
`java.lang.Object` | `caseQTY(QTY object)` Returns the result of interpretting the object as an instance of 'QTY'.
`java.lang.Object` | `caseREAL1(REAL1 object)` Returns the result of interpretting the object as an instance of 'REAL1'.
`java.lang.Object` | `caseRTO(RTO object)` Returns the result of interpretting the object as an instance of 'RTO'.
`java.lang.Object` | `caseRTOMOPQ(RTOMOPQ object)` Returns the result of interpretting the object as an instance of 'RTOMOPQ'.
`java.lang.Object` | `caseRTOPQPQ(RTOPQPQ object)` Returns the result of interpretting the object as an instance of 'RTOPQPQ'.
`java.lang.Object` | `caseRTOQTYQTY(RTOQTYQTY object)` Returns the result of interpretting the object as an instance of 'RTOQTYQTY'.
`java.lang.Object` | `caseSC(SC object)` Returns the result of interpretting the object as an instance of 'SC'.
`java.lang.Object` | `caseSLISTPQ(SLISTPQ object)` Returns the result of interpretting the object as an instance of 'SLISTPQ'.
`java.lang.Object` | `caseSLISTTS(SLISTTS object)` Returns the result of interpretting the object as an instance of 'SLISTTS'.
`java.lang.Object` | `caseST1(ST1 object)` Returns the result of interpretting the object as an instance of 'ST1'.
`java.lang.Object` | `caseStrucDocBr(StrucDocBr object)` Returns the result of interpretting the object as an instance of 'Struc Doc Br'.
`java.lang.Object` | `caseStrucDocCaption(StrucDocCaption object)` Returns the result of interpretting the object as an instance of 'Struc Doc Caption'.
`java.lang.Object` | `caseStrucDocCol(StrucDocCol object)` Returns the result of interpretting the object as an instance of 'Struc Doc Col'.
`java.lang.Object` | `caseStrucDocColgroup(StrucDocColgroup object)` Returns the result of interpretting the object as an instance of 'Struc Doc Colgroup'.
`java.lang.Object` | `caseStrucDocContent(StrucDocContent object)` Returns the result of interpretting the object as an instance of 'Struc Doc Content'.
`java.lang.Object` | `caseStrucDocFootnote(StrucDocFootnote object)` Returns the result of interpretting the object as an instance of 'Struc Doc Footnote'.
`java.lang.Object` | `caseStrucDocFootnoteRef(StrucDocFootnoteRef object)` Returns the result of interpretting the object as an instance of 'Struc Doc Footnote Ref'.
`java.lang.Object` | `caseStrucDocItem(StrucDocItem object)` Returns the result of interpretting the object as an instance of 'Struc Doc Item'.
`java.lang.Object` | `caseStrucDocLinkHtml(StrucDocLinkHtml object)` Returns the result of interpretting the object as an instance of 'Struc Doc Link Html'.
`java.lang.Object` | `caseStrucDocList(StrucDocList object)` Returns the result of interpretting the object as an instance of 'Struc Doc List'.
`java.lang.Object` | `caseStrucDocParagraph(StrucDocParagraph object)` Returns the result of interpretting the object as an instance of 'Struc Doc Paragraph'.
`java.lang.Object` | `caseStrucDocRenderMultiMedia(StrucDocRenderMultiMedia object)` Returns the result of interpretting the object as an instance of 'Struc Doc Render Multi Media'.
`java.lang.Object` | `caseStrucDocSub(StrucDocSub object)` Returns the result of interpretting the object as an instance of 'Struc Doc Sub'.
`java.lang.Object` | `caseStrucDocSup(StrucDocSup object)` Returns the result of interpretting the object as an instance of 'Struc Doc Sup'.
`java.lang.Object` | `caseStrucDocTable(StrucDocTable object)` Returns the result of interpretting the object as an instance of 'Struc Doc Table'.
`java.lang.Object` | `caseStrucDocTbody(StrucDocTbody object)` Returns the result of interpretting the object as an instance of 'Struc Doc Tbody'.
`java.lang.Object` | `caseStrucDocTd(StrucDocTd object)` Returns the result of interpretting the object as an instance of 'Struc Doc Td'.
`java.lang.Object` | `caseStrucDocText(StrucDocText object)` Returns the result of interpretting the object as an instance of 'Struc Doc Text'.
`java.lang.Object` | `caseStrucDocTfoot(StrucDocTfoot object)` Returns the result of interpretting the object as an instance of 'Struc Doc Tfoot'.
`java.lang.Object` | `caseStrucDocTh(StrucDocTh object)` Returns the result of interpretting the object as an instance of 'Struc Doc Th'.
`java.lang.Object` | `caseStrucDocThead(StrucDocThead object)` Returns the result of interpretting the object as an instance of 'Struc Doc Thead'.
`java.lang.Object` | `caseStrucDocTitle(StrucDocTitle object)` Returns the result of interpretting the object as an instance of 'Struc Doc Title'.
`java.lang.Object` | `caseStrucDocTitleContent(StrucDocTitleContent object)` Returns the result of interpretting the object as an instance of 'Struc Doc Title Content'.
`java.lang.Object` | `caseStrucDocTitleFootnote(StrucDocTitleFootnote object)` Returns the result of interpretting the object as an instance of 'Struc Doc Title Footnote'.
`java.lang.Object` | `caseStrucDocTr(StrucDocTr object)` Returns the result of interpretting the object as an instance of 'Struc Doc Tr'.
`java.lang.Object` | `caseSXCMCD(SXCMCD object)` Returns the result of interpretting the object as an instance of 'SXCMCD'.
`java.lang.Object` | `caseSXCMINT(SXCMINT object)` Returns the result of interpretting the object as an instance of 'SXCMINT'.
`java.lang.Object` | `caseSXCMMO(SXCMMO object)` Returns the result of interpretting the object as an instance of 'SXCMMO'.
`java.lang.Object` | `caseSXCMPPDPQ(SXCMPPDPQ object)` Returns the result of interpretting the object as an instance of 'SXCMPPDPQ'.
`java.lang.Object` | `caseSXCMPPDTS(SXCMPPDTS object)` Returns the result of interpretting the object as an instance of 'SXCMPPDTS'.
`java.lang.Object` | `caseSXCMPQ(SXCMPQ object)` Returns the result of interpretting the object as an instance of 'SXCMPQ'.
`java.lang.Object` | `caseSXCMREAL(SXCMREAL object)` Returns the result of interpretting the object as an instance of 'SXCMREAL'.
`java.lang.Object` | `caseSXCMTS(SXCMTS object)` Returns the result of interpretting the object as an instance of 'SXCMTS'.
`java.lang.Object` | `caseSXPRTS(SXPRTS object)` Returns the result of interpretting the object as an instance of 'SXPRTS'.
`java.lang.Object` | `caseTEL(TEL object)` Returns the result of interpretting the object as an instance of 'TEL'.
`java.lang.Object` | `caseThumbnail(Thumbnail object)` Returns the result of interpretting the object as an instance of 'Thumbnail'.
`java.lang.Object` | `caseTN(TN object)` Returns the result of interpretting the object as an instance of 'TN'.
`java.lang.Object` | `caseTS1(TS1 object)` Returns the result of interpretting the object as an instance of 'TS1'.
`java.lang.Object` | `caseURL1(URL1 object)` Returns the result of interpretting the object as an instance of 'URL1'.
`java.lang.Object` | `caseUVPTS(UVPTS object)` Returns the result of interpretting the object as an instance of 'UVPTS'.
`java.lang.Object` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpretting the object as an instance of 'EObject'.
`java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDAR2Switch

    public CDAR2Switch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseAD

    public java.lang.Object caseAD(AD object)

  Returns the result of interpretting the object as an instance of 'AD'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'AD'.
  See Also:
    `doSwitch(EObject)`

### caseADXP

    public java.lang.Object caseADXP(ADXP object)

  Returns the result of interpretting the object as an instance of 'ADXP'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'ADXP'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpAdditionalLocator

    public java.lang.Object caseAdxpAdditionalLocator(AdxpAdditionalLocator object)

  Returns the result of interpretting the object as an instance of 'Adxp Additional Locator'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Additional Locator'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpBuildingNumberSuffix

    public java.lang.Object caseAdxpBuildingNumberSuffix(AdxpBuildingNumberSuffix object)

  Returns the result of interpretting the object as an instance of 'Adxp Building Number Suffix'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Building Number Suffix'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpCareOf

    public java.lang.Object caseAdxpCareOf(AdxpCareOf object)

  Returns the result of interpretting the object as an instance of 'Adxp Care Of'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Care Of'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpCensusTract

    public java.lang.Object caseAdxpCensusTract(AdxpCensusTract object)

  Returns the result of interpretting the object as an instance of 'Adxp Census Tract'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Census Tract'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpCity

    public java.lang.Object caseAdxpCity(AdxpCity object)

  Returns the result of interpretting the object as an instance of 'Adxp City'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp City'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpCountry

    public java.lang.Object caseAdxpCountry(AdxpCountry object)

  Returns the result of interpretting the object as an instance of 'Adxp Country'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Country'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpCounty

    public java.lang.Object caseAdxpCounty(AdxpCounty object)

  Returns the result of interpretting the object as an instance of 'Adxp County'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp County'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpDelimiter

    public java.lang.Object caseAdxpDelimiter(AdxpDelimiter object)

  Returns the result of interpretting the object as an instance of 'Adxp Delimiter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Delimiter'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpDeliveryAddressLine

    public java.lang.Object caseAdxpDeliveryAddressLine(AdxpDeliveryAddressLine object)

  Returns the result of interpretting the object as an instance of 'Adxp Delivery Address Line'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Delivery Address Line'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpDeliveryInstallationArea

    public java.lang.Object caseAdxpDeliveryInstallationArea(AdxpDeliveryInstallationArea object)

  Returns the result of interpretting the object as an instance of 'Adxp Delivery Installation Area'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Delivery Installation Area'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpDeliveryInstallationQualifier

    public java.lang.Object caseAdxpDeliveryInstallationQualifier(AdxpDeliveryInstallationQualifier object)

  Returns the result of interpretting the object as an instance of 'Adxp Delivery Installation Qualifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Delivery Installation Qualifier'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpDeliveryInstallationType

    public java.lang.Object caseAdxpDeliveryInstallationType(AdxpDeliveryInstallationType object)

  Returns the result of interpretting the object as an instance of 'Adxp Delivery Installation Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Delivery Installation Type'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpDeliveryMode

    public java.lang.Object caseAdxpDeliveryMode(AdxpDeliveryMode object)

  Returns the result of interpretting the object as an instance of 'Adxp Delivery Mode'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Delivery Mode'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpDeliveryModeIdentifier

    public java.lang.Object caseAdxpDeliveryModeIdentifier(AdxpDeliveryModeIdentifier object)

  Returns the result of interpretting the object as an instance of 'Adxp Delivery Mode Identifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Delivery Mode Identifier'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpDirection

    public java.lang.Object caseAdxpDirection(AdxpDirection object)

  Returns the result of interpretting the object as an instance of 'Adxp Direction'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Direction'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpHouseNumber

    public java.lang.Object caseAdxpHouseNumber(AdxpHouseNumber object)

  Returns the result of interpretting the object as an instance of 'Adxp House Number'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp House Number'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpHouseNumberNumeric

    public java.lang.Object caseAdxpHouseNumberNumeric(AdxpHouseNumberNumeric object)

  Returns the result of interpretting the object as an instance of 'Adxp House Number Numeric'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp House Number Numeric'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpPostalCode

    public java.lang.Object caseAdxpPostalCode(AdxpPostalCode object)

  Returns the result of interpretting the object as an instance of 'Adxp Postal Code'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Postal Code'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpPostBox

    public java.lang.Object caseAdxpPostBox(AdxpPostBox object)

  Returns the result of interpretting the object as an instance of 'Adxp Post Box'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Post Box'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpPrecinct

    public java.lang.Object caseAdxpPrecinct(AdxpPrecinct object)

  Returns the result of interpretting the object as an instance of 'Adxp Precinct'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Precinct'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpState

    public java.lang.Object caseAdxpState(AdxpState object)

  Returns the result of interpretting the object as an instance of 'Adxp State'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp State'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpStreetAddressLine

    public java.lang.Object caseAdxpStreetAddressLine(AdxpStreetAddressLine object)

  Returns the result of interpretting the object as an instance of 'Adxp Street Address Line'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Street Address Line'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpStreetName

    public java.lang.Object caseAdxpStreetName(AdxpStreetName object)

  Returns the result of interpretting the object as an instance of 'Adxp Street Name'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Street Name'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpStreetNameBase

    public java.lang.Object caseAdxpStreetNameBase(AdxpStreetNameBase object)

  Returns the result of interpretting the object as an instance of 'Adxp Street Name Base'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Street Name Base'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpStreetNameType

    public java.lang.Object caseAdxpStreetNameType(AdxpStreetNameType object)

  Returns the result of interpretting the object as an instance of 'Adxp Street Name Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Street Name Type'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpUnitID

    public java.lang.Object caseAdxpUnitID(AdxpUnitID object)

  Returns the result of interpretting the object as an instance of 'Adxp Unit ID'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Unit ID'.
  See Also:
    `doSwitch(EObject)`

### caseAdxpUnitType

    public java.lang.Object caseAdxpUnitType(AdxpUnitType object)

  Returns the result of interpretting the object as an instance of 'Adxp Unit Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adxp Unit Type'.
  See Also:
    `doSwitch(EObject)`

### caseANY

    public java.lang.Object caseANY(ANY object)

  Returns the result of interpretting the object as an instance of 'ANY'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'ANY'.
  See Also:
    `doSwitch(EObject)`

### caseANYNonNull

    public java.lang.Object caseANYNonNull(ANYNonNull object)

  Returns the result of interpretting the object as an instance of 'ANY Non Null'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'ANY Non Null'.
  See Also:
    `doSwitch(EObject)`

### caseBIN1

    public java.lang.Object caseBIN1(BIN1 object)

  Returns the result of interpretting the object as an instance of 'BIN1'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'BIN1'.
  See Also:
    `doSwitch(EObject)`

### caseBL1

    public java.lang.Object caseBL1(BL1 object)

  Returns the result of interpretting the object as an instance of 'BL1'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'BL1'.
  See Also:
    `doSwitch(EObject)`

### caseBN1

    public java.lang.Object caseBN1(BN1 object)

  Returns the result of interpretting the object as an instance of 'BN1'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'BN1'.
  See Also:
    `doSwitch(EObject)`

### caseBXITCD

    public java.lang.Object caseBXITCD(BXITCD object)

  Returns the result of interpretting the object as an instance of 'BXITCD'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'BXITCD'.
  See Also:
    `doSwitch(EObject)`

### caseBXITIVLPQ

    public java.lang.Object caseBXITIVLPQ(BXITIVLPQ object)

  Returns the result of interpretting the object as an instance of 'BXITIVLPQ'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'BXITIVLPQ'.
  See Also:
    `doSwitch(EObject)`

### caseCD

    public java.lang.Object caseCD(CD object)

  Returns the result of interpretting the object as an instance of 'CD'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'CD'.
  See Also:
    `doSwitch(EObject)`

### caseCE

    public java.lang.Object caseCE(CE object)

  Returns the result of interpretting the object as an instance of 'CE'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'CE'.
  See Also:
    `doSwitch(EObject)`

### caseCO

    public java.lang.Object caseCO(CO object)

  Returns the result of interpretting the object as an instance of 'CO'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'CO'.
  See Also:
    `doSwitch(EObject)`

### caseCR

    public java.lang.Object caseCR(CR object)

  Returns the result of interpretting the object as an instance of 'CR'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'CR'.
  See Also:
    `doSwitch(EObject)`

### caseCS1

    public java.lang.Object caseCS1(CS1 object)

  Returns the result of interpretting the object as an instance of 'CS1'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'CS1'.
  See Also:
    `doSwitch(EObject)`

### caseCV

    public java.lang.Object caseCV(CV object)

  Returns the result of interpretting the object as an instance of 'CV'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'CV'.
  See Also:
    `doSwitch(EObject)`

### caseDocumentRoot

    public java.lang.Object caseDocumentRoot(DocumentRoot object)

  Returns the result of interpretting the object as an instance of 'Document Root'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Document Root'.
  See Also:
    `doSwitch(EObject)`

### caseED

    public java.lang.Object caseED(ED object)

  Returns the result of interpretting the object as an instance of 'ED'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'ED'.
  See Also:
    `doSwitch(EObject)`

### caseEIVLEvent

    public java.lang.Object caseEIVLEvent(EIVLEvent object)

  Returns the result of interpretting the object as an instance of 'EIVL Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EIVL Event'.
  See Also:
    `doSwitch(EObject)`

### caseEIVLPPDTS

    public java.lang.Object caseEIVLPPDTS(EIVLPPDTS object)

  Returns the result of interpretting the object as an instance of 'EIVLPPDTS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EIVLPPDTS'.
  See Also:
    `doSwitch(EObject)`

### caseEIVLTS

    public java.lang.Object caseEIVLTS(EIVLTS object)

  Returns the result of interpretting the object as an instance of 'EIVLTS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EIVLTS'.
  See Also:
    `doSwitch(EObject)`

### caseEN

    public java.lang.Object caseEN(EN object)

  Returns the result of interpretting the object as an instance of 'EN'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EN'.
  See Also:
    `doSwitch(EObject)`

### caseEnDelimiter

    public java.lang.Object caseEnDelimiter(EnDelimiter object)

  Returns the result of interpretting the object as an instance of 'En Delimiter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'En Delimiter'.
  See Also:
    `doSwitch(EObject)`

### caseEnFamily

    public java.lang.Object caseEnFamily(EnFamily object)

  Returns the result of interpretting the object as an instance of 'En Family'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'En Family'.
  See Also:
    `doSwitch(EObject)`

### caseEnGiven

    public java.lang.Object caseEnGiven(EnGiven object)

  Returns the result of interpretting the object as an instance of 'En Given'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'En Given'.
  See Also:
    `doSwitch(EObject)`

### caseEnPrefix

    public java.lang.Object caseEnPrefix(EnPrefix object)

  Returns the result of interpretting the object as an instance of 'En Prefix'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'En Prefix'.
  See Also:
    `doSwitch(EObject)`

### caseEnSuffix

    public java.lang.Object caseEnSuffix(EnSuffix object)

  Returns the result of interpretting the object as an instance of 'En Suffix'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'En Suffix'.
  See Also:
    `doSwitch(EObject)`

### caseENXP

    public java.lang.Object caseENXP(ENXP object)

  Returns the result of interpretting the object as an instance of 'ENXP'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'ENXP'.
  See Also:
    `doSwitch(EObject)`

### caseGLISTPQ

    public java.lang.Object caseGLISTPQ(GLISTPQ object)

  Returns the result of interpretting the object as an instance of 'GLISTPQ'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'GLISTPQ'.
  See Also:
    `doSwitch(EObject)`

### caseGLISTTS

    public java.lang.Object caseGLISTTS(GLISTTS object)

  Returns the result of interpretting the object as an instance of 'GLISTTS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'GLISTTS'.
  See Also:
    `doSwitch(EObject)`

### caseHXITCE

    public java.lang.Object caseHXITCE(HXITCE object)

  Returns the result of interpretting the object as an instance of 'HXITCE'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'HXITCE'.
  See Also:
    `doSwitch(EObject)`

### caseHXITPQ

    public java.lang.Object caseHXITPQ(HXITPQ object)

  Returns the result of interpretting the object as an instance of 'HXITPQ'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'HXITPQ'.
  See Also:
    `doSwitch(EObject)`

### caseII

    public java.lang.Object caseII(II object)

  Returns the result of interpretting the object as an instance of 'II'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'II'.
  See Also:
    `doSwitch(EObject)`

### caseINT1

    public java.lang.Object caseINT1(INT1 object)

  Returns the result of interpretting the object as an instance of 'INT1'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'INT1'.
  See Also:
    `doSwitch(EObject)`

### caseIVLINT

    public java.lang.Object caseIVLINT(IVLINT object)

  Returns the result of interpretting the object as an instance of 'IVLINT'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'IVLINT'.
  See Also:
    `doSwitch(EObject)`

### caseIVLMO

    public java.lang.Object caseIVLMO(IVLMO object)

  Returns the result of interpretting the object as an instance of 'IVLMO'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'IVLMO'.
  See Also:
    `doSwitch(EObject)`

### caseIVLPPDPQ

    public java.lang.Object caseIVLPPDPQ(IVLPPDPQ object)

  Returns the result of interpretting the object as an instance of 'IVLPPDPQ'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'IVLPPDPQ'.
  See Also:
    `doSwitch(EObject)`

### caseIVLPPDTS

    public java.lang.Object caseIVLPPDTS(IVLPPDTS object)

  Returns the result of interpretting the object as an instance of 'IVLPPDTS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'IVLPPDTS'.
  See Also:
    `doSwitch(EObject)`

### caseIVLPQ

    public java.lang.Object caseIVLPQ(IVLPQ object)

  Returns the result of interpretting the object as an instance of 'IVLPQ'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'IVLPQ'.
  See Also:
    `doSwitch(EObject)`

### caseIVLREAL

    public java.lang.Object caseIVLREAL(IVLREAL object)

  Returns the result of interpretting the object as an instance of 'IVLREAL'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'IVLREAL'.
  See Also:
    `doSwitch(EObject)`

### caseIVLTS

    public java.lang.Object caseIVLTS(IVLTS object)

  Returns the result of interpretting the object as an instance of 'IVLTS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'IVLTS'.
  See Also:
    `doSwitch(EObject)`

### caseIVXBINT

    public java.lang.Object caseIVXBINT(IVXBINT object)

  Returns the result of interpretting the object as an instance of 'IVXBINT'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'IVXBINT'.
  See Also:
    `doSwitch(EObject)`

### caseIVXBMO

    public java.lang.Object caseIVXBMO(IVXBMO object)

  Returns the result of interpretting the object as an instance of 'IVXBMO'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'IVXBMO'.
  See Also:
    `doSwitch(EObject)`

### caseIVXBPPDPQ

    public java.lang.Object caseIVXBPPDPQ(IVXBPPDPQ object)

  Returns the result of interpretting the object as an instance of 'IVXBPPDPQ'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'IVXBPPDPQ'.
  See Also:
    `doSwitch(EObject)`

### caseIVXBPPDTS

    public java.lang.Object caseIVXBPPDTS(IVXBPPDTS object)

  Returns the result of interpretting the object as an instance of 'IVXBPPDTS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'IVXBPPDTS'.
  See Also:
    `doSwitch(EObject)`

### caseIVXBPQ

    public java.lang.Object caseIVXBPQ(IVXBPQ object)

  Returns the result of interpretting the object as an instance of 'IVXBPQ'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'IVXBPQ'.
  See Also:
    `doSwitch(EObject)`

### caseIVXBREAL

    public java.lang.Object caseIVXBREAL(IVXBREAL object)

  Returns the result of interpretting the object as an instance of 'IVXBREAL'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'IVXBREAL'.
  See Also:
    `doSwitch(EObject)`

### caseIVXBTS

    public java.lang.Object caseIVXBTS(IVXBTS object)

  Returns the result of interpretting the object as an instance of 'IVXBTS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'IVXBTS'.
  See Also:
    `doSwitch(EObject)`

### caseMO

    public java.lang.Object caseMO(MO object)

  Returns the result of interpretting the object as an instance of 'MO'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'MO'.
  See Also:
    `doSwitch(EObject)`

### caseON

    public java.lang.Object caseON(ON object)

  Returns the result of interpretting the object as an instance of 'ON'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'ON'.
  See Also:
    `doSwitch(EObject)`

### casePIVLPPDTS

    public java.lang.Object casePIVLPPDTS(PIVLPPDTS object)

  Returns the result of interpretting the object as an instance of 'PIVLPPDTS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'PIVLPPDTS'.
  See Also:
    `doSwitch(EObject)`

### casePIVLTS

    public java.lang.Object casePIVLTS(PIVLTS object)

  Returns the result of interpretting the object as an instance of 'PIVLTS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'PIVLTS'.
  See Also:
    `doSwitch(EObject)`

### casePN

    public java.lang.Object casePN(PN object)

  Returns the result of interpretting the object as an instance of 'PN'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'PN'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Act

    public java.lang.Object casePOCDMT000040Act(POCDMT000040Act object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Act'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Act'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040AssignedAuthor

    public java.lang.Object casePOCDMT000040AssignedAuthor(POCDMT000040AssignedAuthor object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Assigned Author'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Assigned Author'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040AssignedCustodian

    public java.lang.Object casePOCDMT000040AssignedCustodian(POCDMT000040AssignedCustodian object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Assigned Custodian'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Assigned Custodian'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040AssignedEntity

    public java.lang.Object casePOCDMT000040AssignedEntity(POCDMT000040AssignedEntity object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Assigned Entity'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Assigned Entity'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040AssociatedEntity

    public java.lang.Object casePOCDMT000040AssociatedEntity(POCDMT000040AssociatedEntity object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Associated Entity'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Associated Entity'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Authenticator

    public java.lang.Object casePOCDMT000040Authenticator(POCDMT000040Authenticator object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Authenticator'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Authenticator'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Author

    public java.lang.Object casePOCDMT000040Author(POCDMT000040Author object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Author'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Author'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040AuthoringDevice

    public java.lang.Object casePOCDMT000040AuthoringDevice(POCDMT000040AuthoringDevice object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Authoring Device'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Authoring Device'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Authorization

    public java.lang.Object casePOCDMT000040Authorization(POCDMT000040Authorization object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Authorization'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Authorization'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Birthplace

    public java.lang.Object casePOCDMT000040Birthplace(POCDMT000040Birthplace object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Birthplace'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Birthplace'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040ClinicalDocument

    public java.lang.Object casePOCDMT000040ClinicalDocument(POCDMT000040ClinicalDocument object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Clinical Document'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Clinical Document'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Component1

    public java.lang.Object casePOCDMT000040Component1(POCDMT000040Component1 object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Component1'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Component1'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Component2

    public java.lang.Object casePOCDMT000040Component2(POCDMT000040Component2 object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Component2'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Component2'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Component3

    public java.lang.Object casePOCDMT000040Component3(POCDMT000040Component3 object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Component3'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Component3'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Component4

    public java.lang.Object casePOCDMT000040Component4(POCDMT000040Component4 object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Component4'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Component4'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Component5

    public java.lang.Object casePOCDMT000040Component5(POCDMT000040Component5 object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Component5'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Component5'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Consent

    public java.lang.Object casePOCDMT000040Consent(POCDMT000040Consent object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Consent'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Consent'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Consumable

    public java.lang.Object casePOCDMT000040Consumable(POCDMT000040Consumable object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Consumable'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Consumable'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Criterion

    public java.lang.Object casePOCDMT000040Criterion(POCDMT000040Criterion object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Criterion'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Criterion'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Custodian

    public java.lang.Object casePOCDMT000040Custodian(POCDMT000040Custodian object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Custodian'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Custodian'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040CustodianOrganization

    public java.lang.Object casePOCDMT000040CustodianOrganization(POCDMT000040CustodianOrganization object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Custodian Organization'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Custodian Organization'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040DataEnterer

    public java.lang.Object casePOCDMT000040DataEnterer(POCDMT000040DataEnterer object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Data Enterer'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Data Enterer'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Device

    public java.lang.Object casePOCDMT000040Device(POCDMT000040Device object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Device'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Device'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040DocumentationOf

    public java.lang.Object casePOCDMT000040DocumentationOf(POCDMT000040DocumentationOf object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Documentation Of'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Documentation Of'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040EncompassingEncounter

    public java.lang.Object casePOCDMT000040EncompassingEncounter(POCDMT000040EncompassingEncounter object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Encompassing Encounter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Encompassing Encounter'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Encounter

    public java.lang.Object casePOCDMT000040Encounter(POCDMT000040Encounter object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Encounter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Encounter'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040EncounterParticipant

    public java.lang.Object casePOCDMT000040EncounterParticipant(POCDMT000040EncounterParticipant object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Encounter Participant'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Encounter Participant'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Entity

    public java.lang.Object casePOCDMT000040Entity(POCDMT000040Entity object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Entity'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Entity'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Entry

    public java.lang.Object casePOCDMT000040Entry(POCDMT000040Entry object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Entry'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Entry'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040EntryRelationship

    public java.lang.Object casePOCDMT000040EntryRelationship(POCDMT000040EntryRelationship object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Entry Relationship'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Entry Relationship'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040ExternalAct

    public java.lang.Object casePOCDMT000040ExternalAct(POCDMT000040ExternalAct object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 External Act'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 External Act'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040ExternalDocument

    public java.lang.Object casePOCDMT000040ExternalDocument(POCDMT000040ExternalDocument object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 External Document'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 External Document'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040ExternalObservation

    public java.lang.Object casePOCDMT000040ExternalObservation(POCDMT000040ExternalObservation object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 External Observation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 External Observation'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040ExternalProcedure

    public java.lang.Object casePOCDMT000040ExternalProcedure(POCDMT000040ExternalProcedure object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 External Procedure'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 External Procedure'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Guardian

    public java.lang.Object casePOCDMT000040Guardian(POCDMT000040Guardian object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Guardian'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Guardian'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040HealthCareFacility

    public java.lang.Object casePOCDMT000040HealthCareFacility(POCDMT000040HealthCareFacility object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Health Care Facility'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Health Care Facility'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Informant12

    public java.lang.Object casePOCDMT000040Informant12(POCDMT000040Informant12 object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Informant12'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Informant12'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040InformationRecipient

    public java.lang.Object casePOCDMT000040InformationRecipient(POCDMT000040InformationRecipient object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Information Recipient'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Information Recipient'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040InfrastructureRootTypeId

    public java.lang.Object casePOCDMT000040InfrastructureRootTypeId(POCDMT000040InfrastructureRootTypeId object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Infrastructure Root Type Id'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Infrastructure Root Type Id'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040InFulfillmentOf

    public java.lang.Object casePOCDMT000040InFulfillmentOf(POCDMT000040InFulfillmentOf object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 In Fulfillment Of'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 In Fulfillment Of'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040IntendedRecipient

    public java.lang.Object casePOCDMT000040IntendedRecipient(POCDMT000040IntendedRecipient object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Intended Recipient'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Intended Recipient'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040LabeledDrug

    public java.lang.Object casePOCDMT000040LabeledDrug(POCDMT000040LabeledDrug object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Labeled Drug'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Labeled Drug'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040LanguageCommunication

    public java.lang.Object casePOCDMT000040LanguageCommunication(POCDMT000040LanguageCommunication object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Language Communication'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Language Communication'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040LegalAuthenticator

    public java.lang.Object casePOCDMT000040LegalAuthenticator(POCDMT000040LegalAuthenticator object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Legal Authenticator'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Legal Authenticator'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Location

    public java.lang.Object casePOCDMT000040Location(POCDMT000040Location object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Location'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Location'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040MaintainedEntity

    public java.lang.Object casePOCDMT000040MaintainedEntity(POCDMT000040MaintainedEntity object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Maintained Entity'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Maintained Entity'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040ManufacturedProduct

    public java.lang.Object casePOCDMT000040ManufacturedProduct(POCDMT000040ManufacturedProduct object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Manufactured Product'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Manufactured Product'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Material

    public java.lang.Object casePOCDMT000040Material(POCDMT000040Material object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Material'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Material'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040NonXMLBody

    public java.lang.Object casePOCDMT000040NonXMLBody(POCDMT000040NonXMLBody object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Non XML Body'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Non XML Body'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Observation

    public java.lang.Object casePOCDMT000040Observation(POCDMT000040Observation object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Observation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Observation'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040ObservationMedia

    public java.lang.Object casePOCDMT000040ObservationMedia(POCDMT000040ObservationMedia object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Observation Media'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Observation Media'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040ObservationRange

    public java.lang.Object casePOCDMT000040ObservationRange(POCDMT000040ObservationRange object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Observation Range'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Observation Range'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Order

    public java.lang.Object casePOCDMT000040Order(POCDMT000040Order object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Order'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Order'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Organization

    public java.lang.Object casePOCDMT000040Organization(POCDMT000040Organization object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Organization'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Organization'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040OrganizationPartOf

    public java.lang.Object casePOCDMT000040OrganizationPartOf(POCDMT000040OrganizationPartOf object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Organization Part Of'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Organization Part Of'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Organizer

    public java.lang.Object casePOCDMT000040Organizer(POCDMT000040Organizer object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Organizer'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Organizer'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040ParentDocument

    public java.lang.Object casePOCDMT000040ParentDocument(POCDMT000040ParentDocument object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Parent Document'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Parent Document'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Participant1

    public java.lang.Object casePOCDMT000040Participant1(POCDMT000040Participant1 object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Participant1'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Participant1'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Participant2

    public java.lang.Object casePOCDMT000040Participant2(POCDMT000040Participant2 object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Participant2'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Participant2'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040ParticipantRole

    public java.lang.Object casePOCDMT000040ParticipantRole(POCDMT000040ParticipantRole object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Participant Role'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Participant Role'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Patient

    public java.lang.Object casePOCDMT000040Patient(POCDMT000040Patient object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Patient'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Patient'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040PatientRole

    public java.lang.Object casePOCDMT000040PatientRole(POCDMT000040PatientRole object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Patient Role'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Patient Role'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Performer1

    public java.lang.Object casePOCDMT000040Performer1(POCDMT000040Performer1 object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Performer1'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Performer1'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Performer2

    public java.lang.Object casePOCDMT000040Performer2(POCDMT000040Performer2 object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Performer2'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Performer2'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Person

    public java.lang.Object casePOCDMT000040Person(POCDMT000040Person object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Person'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Person'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Place

    public java.lang.Object casePOCDMT000040Place(POCDMT000040Place object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Place'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Place'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040PlayingEntity

    public java.lang.Object casePOCDMT000040PlayingEntity(POCDMT000040PlayingEntity object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Playing Entity'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Playing Entity'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Precondition

    public java.lang.Object casePOCDMT000040Precondition(POCDMT000040Precondition object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Precondition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Precondition'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Procedure

    public java.lang.Object casePOCDMT000040Procedure(POCDMT000040Procedure object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Procedure'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Procedure'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Product

    public java.lang.Object casePOCDMT000040Product(POCDMT000040Product object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Product'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Product'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040RecordTarget

    public java.lang.Object casePOCDMT000040RecordTarget(POCDMT000040RecordTarget object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Record Target'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Record Target'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Reference

    public java.lang.Object casePOCDMT000040Reference(POCDMT000040Reference object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Reference'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Reference'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040ReferenceRange

    public java.lang.Object casePOCDMT000040ReferenceRange(POCDMT000040ReferenceRange object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Reference Range'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Reference Range'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040RegionOfInterest

    public java.lang.Object casePOCDMT000040RegionOfInterest(POCDMT000040RegionOfInterest object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Region Of Interest'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Region Of Interest'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040RegionOfInterestValue

    public java.lang.Object casePOCDMT000040RegionOfInterestValue(POCDMT000040RegionOfInterestValue object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Region Of Interest Value'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Region Of Interest Value'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040RelatedDocument

    public java.lang.Object casePOCDMT000040RelatedDocument(POCDMT000040RelatedDocument object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Related Document'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Related Document'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040RelatedEntity

    public java.lang.Object casePOCDMT000040RelatedEntity(POCDMT000040RelatedEntity object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Related Entity'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Related Entity'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040RelatedSubject

    public java.lang.Object casePOCDMT000040RelatedSubject(POCDMT000040RelatedSubject object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Related Subject'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Related Subject'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040ResponsibleParty

    public java.lang.Object casePOCDMT000040ResponsibleParty(POCDMT000040ResponsibleParty object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Responsible Party'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Responsible Party'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Section

    public java.lang.Object casePOCDMT000040Section(POCDMT000040Section object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Section'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Section'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040ServiceEvent

    public java.lang.Object casePOCDMT000040ServiceEvent(POCDMT000040ServiceEvent object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Service Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Service Event'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Specimen

    public java.lang.Object casePOCDMT000040Specimen(POCDMT000040Specimen object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Specimen'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Specimen'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040SpecimenRole

    public java.lang.Object casePOCDMT000040SpecimenRole(POCDMT000040SpecimenRole object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Specimen Role'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Specimen Role'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040StructuredBody

    public java.lang.Object casePOCDMT000040StructuredBody(POCDMT000040StructuredBody object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Structured Body'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Structured Body'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Subject

    public java.lang.Object casePOCDMT000040Subject(POCDMT000040Subject object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Subject'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Subject'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040SubjectPerson

    public java.lang.Object casePOCDMT000040SubjectPerson(POCDMT000040SubjectPerson object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Subject Person'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Subject Person'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040SubstanceAdministration

    public java.lang.Object casePOCDMT000040SubstanceAdministration(POCDMT000040SubstanceAdministration object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Substance Administration'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Substance Administration'.
  See Also:
    `doSwitch(EObject)`

### casePOCDMT000040Supply

    public java.lang.Object casePOCDMT000040Supply(POCDMT000040Supply object)

  Returns the result of interpretting the object as an instance of 'POCDMT000040 Supply'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'POCDMT000040 Supply'.
  See Also:
    `doSwitch(EObject)`

### casePPDPQ

    public java.lang.Object casePPDPQ(PPDPQ object)

  Returns the result of interpretting the object as an instance of 'PPDPQ'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'PPDPQ'.
  See Also:
    `doSwitch(EObject)`

### casePPDTS

    public java.lang.Object casePPDTS(PPDTS object)

  Returns the result of interpretting the object as an instance of 'PPDTS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'PPDTS'.
  See Also:
    `doSwitch(EObject)`

### casePQ

    public java.lang.Object casePQ(PQ object)

  Returns the result of interpretting the object as an instance of 'PQ'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'PQ'.
  See Also:
    `doSwitch(EObject)`

### casePQR

    public java.lang.Object casePQR(PQR object)

  Returns the result of interpretting the object as an instance of 'PQR'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'PQR'.
  See Also:
    `doSwitch(EObject)`

### caseQTY

    public java.lang.Object caseQTY(QTY object)

  Returns the result of interpretting the object as an instance of 'QTY'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'QTY'.
  See Also:
    `doSwitch(EObject)`

### caseREAL1

    public java.lang.Object caseREAL1(REAL1 object)

  Returns the result of interpretting the object as an instance of 'REAL1'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'REAL1'.
  See Also:
    `doSwitch(EObject)`

### caseRTO

    public java.lang.Object caseRTO(RTO object)

  Returns the result of interpretting the object as an instance of 'RTO'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'RTO'.
  See Also:
    `doSwitch(EObject)`

### caseRTOMOPQ

    public java.lang.Object caseRTOMOPQ(RTOMOPQ object)

  Returns the result of interpretting the object as an instance of 'RTOMOPQ'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'RTOMOPQ'.
  See Also:
    `doSwitch(EObject)`

### caseRTOPQPQ

    public java.lang.Object caseRTOPQPQ(RTOPQPQ object)

  Returns the result of interpretting the object as an instance of 'RTOPQPQ'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'RTOPQPQ'.
  See Also:
    `doSwitch(EObject)`

### caseRTOQTYQTY

    public java.lang.Object caseRTOQTYQTY(RTOQTYQTY object)

  Returns the result of interpretting the object as an instance of 'RTOQTYQTY'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'RTOQTYQTY'.
  See Also:
    `doSwitch(EObject)`

### caseSC

    public java.lang.Object caseSC(SC object)

  Returns the result of interpretting the object as an instance of 'SC'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SC'.
  See Also:
    `doSwitch(EObject)`

### caseSLISTPQ

    public java.lang.Object caseSLISTPQ(SLISTPQ object)

  Returns the result of interpretting the object as an instance of 'SLISTPQ'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SLISTPQ'.
  See Also:
    `doSwitch(EObject)`

### caseSLISTTS

    public java.lang.Object caseSLISTTS(SLISTTS object)

  Returns the result of interpretting the object as an instance of 'SLISTTS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SLISTTS'.
  See Also:
    `doSwitch(EObject)`

### caseST1

    public java.lang.Object caseST1(ST1 object)

  Returns the result of interpretting the object as an instance of 'ST1'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'ST1'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocBr

    public java.lang.Object caseStrucDocBr(StrucDocBr object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Br'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Br'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocCaption

    public java.lang.Object caseStrucDocCaption(StrucDocCaption object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Caption'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Caption'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocCol

    public java.lang.Object caseStrucDocCol(StrucDocCol object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Col'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Col'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocColgroup

    public java.lang.Object caseStrucDocColgroup(StrucDocColgroup object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Colgroup'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Colgroup'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocContent

    public java.lang.Object caseStrucDocContent(StrucDocContent object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Content'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Content'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocFootnote

    public java.lang.Object caseStrucDocFootnote(StrucDocFootnote object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Footnote'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Footnote'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocFootnoteRef

    public java.lang.Object caseStrucDocFootnoteRef(StrucDocFootnoteRef object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Footnote Ref'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Footnote Ref'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocItem

    public java.lang.Object caseStrucDocItem(StrucDocItem object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Item'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Item'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocLinkHtml

    public java.lang.Object caseStrucDocLinkHtml(StrucDocLinkHtml object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Link Html'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Link Html'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocList

    public java.lang.Object caseStrucDocList(StrucDocList object)

  Returns the result of interpretting the object as an instance of 'Struc Doc List'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc List'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocParagraph

    public java.lang.Object caseStrucDocParagraph(StrucDocParagraph object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Paragraph'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Paragraph'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocRenderMultiMedia

    public java.lang.Object caseStrucDocRenderMultiMedia(StrucDocRenderMultiMedia object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Render Multi Media'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Render Multi Media'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocSub

    public java.lang.Object caseStrucDocSub(StrucDocSub object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Sub'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Sub'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocSup

    public java.lang.Object caseStrucDocSup(StrucDocSup object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Sup'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Sup'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocTable

    public java.lang.Object caseStrucDocTable(StrucDocTable object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Table'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocTbody

    public java.lang.Object caseStrucDocTbody(StrucDocTbody object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Tbody'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Tbody'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocTd

    public java.lang.Object caseStrucDocTd(StrucDocTd object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Td'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Td'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocText

    public java.lang.Object caseStrucDocText(StrucDocText object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Text'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Text'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocTfoot

    public java.lang.Object caseStrucDocTfoot(StrucDocTfoot object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Tfoot'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Tfoot'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocTh

    public java.lang.Object caseStrucDocTh(StrucDocTh object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Th'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Th'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocThead

    public java.lang.Object caseStrucDocThead(StrucDocThead object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Thead'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Thead'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocTitle

    public java.lang.Object caseStrucDocTitle(StrucDocTitle object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Title'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Title'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocTitleContent

    public java.lang.Object caseStrucDocTitleContent(StrucDocTitleContent object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Title Content'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Title Content'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocTitleFootnote

    public java.lang.Object caseStrucDocTitleFootnote(StrucDocTitleFootnote object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Title Footnote'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Title Footnote'.
  See Also:
    `doSwitch(EObject)`

### caseStrucDocTr

    public java.lang.Object caseStrucDocTr(StrucDocTr object)

  Returns the result of interpretting the object as an instance of 'Struc Doc Tr'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Struc Doc Tr'.
  See Also:
    `doSwitch(EObject)`

### caseSXCMCD

    public java.lang.Object caseSXCMCD(SXCMCD object)

  Returns the result of interpretting the object as an instance of 'SXCMCD'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SXCMCD'.
  See Also:
    `doSwitch(EObject)`

### caseSXCMINT

    public java.lang.Object caseSXCMINT(SXCMINT object)

  Returns the result of interpretting the object as an instance of 'SXCMINT'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SXCMINT'.
  See Also:
    `doSwitch(EObject)`

### caseSXCMMO

    public java.lang.Object caseSXCMMO(SXCMMO object)

  Returns the result of interpretting the object as an instance of 'SXCMMO'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SXCMMO'.
  See Also:
    `doSwitch(EObject)`

### caseSXCMPPDPQ

    public java.lang.Object caseSXCMPPDPQ(SXCMPPDPQ object)

  Returns the result of interpretting the object as an instance of 'SXCMPPDPQ'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SXCMPPDPQ'.
  See Also:
    `doSwitch(EObject)`

### caseSXCMPPDTS

    public java.lang.Object caseSXCMPPDTS(SXCMPPDTS object)

  Returns the result of interpretting the object as an instance of 'SXCMPPDTS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SXCMPPDTS'.
  See Also:
    `doSwitch(EObject)`

### caseSXCMPQ

    public java.lang.Object caseSXCMPQ(SXCMPQ object)

  Returns the result of interpretting the object as an instance of 'SXCMPQ'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SXCMPQ'.
  See Also:
    `doSwitch(EObject)`

### caseSXCMREAL

    public java.lang.Object caseSXCMREAL(SXCMREAL object)

  Returns the result of interpretting the object as an instance of 'SXCMREAL'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SXCMREAL'.
  See Also:
    `doSwitch(EObject)`

### caseSXCMTS

    public java.lang.Object caseSXCMTS(SXCMTS object)

  Returns the result of interpretting the object as an instance of 'SXCMTS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SXCMTS'.
  See Also:
    `doSwitch(EObject)`

### caseSXPRTS

    public java.lang.Object caseSXPRTS(SXPRTS object)

  Returns the result of interpretting the object as an instance of 'SXPRTS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SXPRTS'.
  See Also:
    `doSwitch(EObject)`

### caseTEL

    public java.lang.Object caseTEL(TEL object)

  Returns the result of interpretting the object as an instance of 'TEL'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'TEL'.
  See Also:
    `doSwitch(EObject)`

### caseThumbnail

    public java.lang.Object caseThumbnail(Thumbnail object)

  Returns the result of interpretting the object as an instance of 'Thumbnail'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Thumbnail'.
  See Also:
    `doSwitch(EObject)`

### caseTN

    public java.lang.Object caseTN(TN object)

  Returns the result of interpretting the object as an instance of 'TN'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'TN'.
  See Also:
    `doSwitch(EObject)`

### caseTS1

    public java.lang.Object caseTS1(TS1 object)

  Returns the result of interpretting the object as an instance of 'TS1'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'TS1'.
  See Also:
    `doSwitch(EObject)`

### caseURL1

    public java.lang.Object caseURL1(URL1 object)

  Returns the result of interpretting the object as an instance of 'URL1'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'URL1'.
  See Also:
    `doSwitch(EObject)`

### caseUVPTS

    public java.lang.Object caseUVPTS(UVPTS object)

  Returns the result of interpretting the object as an instance of 'UVPTS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'UVPTS'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD